%define version 1.17.2
%define release 3mdk
%define url	ftp://prep.ai.mit.edu/pub/gnu/groff/

Summary:	A document formatting system
Name:		groff
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Text tools
BuildRequires:	byacc XFree86-devel xpm-devel

Source0:	%{url}/groff-%{version}.tar.bz2
Source1:	troff-to-ps.fpi
Source2:	README.A4
Patch1:		groff-1.16-safer.patch.bz2
Patch2:		groff-1.16.1-no-lbp-on-alpha.patch.bz2
Patch3:		groff-1.16.1-latin1_for_man.patch.bz2
Patch4:		groff-1.17.1-pre-html.cc-mkstemp.patch.bz2

Requires:	mktemp groff-for-man
Buildroot:	%{_tmppath}/groff-root
Obsoletes:	groff-tools
Prefix:		%{_prefix}

%description
Groff is a document formatting system.  Groff takes standard text and
formatting commands as input and produces formatted output.  The
created documents can be shown on a display or printed on a printer. 
Groff's formatting commands allow you to specify font type and size, bold
type, italic type, the number and size of columns on a page, and more.

You should install groff if you want to use it as a document formatting
system.  Groff can also be used to format man pages. If you are going
to use groff with the X Window System, you'll also need to install the
groff-gxditview package.

%package for-man
Summary: Parts of the groff formatting system that is required for viewing manpages
Group: Text tools

%description for-man
The groff-for-man package contains the parts of the groff text processor
package that are required for viewing manpages.
For a full groff package, install package groff.

%package perl
Summary: Parts of the groff formatting system that require Perl.
Group: Text tools

%description perl
The groff-perl package contains the parts of the groff text processor
package that require Perl. These include the afmtodit font processor
for creating PostScript font files, the grog utility that can be used
to automatically determine groff command-line options, and the
troff-to-ps print filter.

%package gxditview
Summary:	An X previewer for groff text processor output
Group:		Text tools

%description gxditview
Gxditview displays the groff text processor's output on an X Window
System display.

If you are going to use groff as a text processor, you should install
gxditview so that you preview your processed text files in X.  You'll also
need to install the groff package and the X Window System.

%prep

%setup -q
#%patch1 -p1
%ifarch alpha
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p0 -b .pre-html.cc-mkstemp

cp -f %{SOURCE2} ./

%build
PATH=$PATH:%{prefix}/X11R6/bin
%configure --enable-japanese
make
cd src/xditview
xmkmf
perl -p -i -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
make depend
%make 

%install
rm -rf $RPM_BUILD_ROOT
PATH=$PATH:%{prefix}/X11R6/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}
%makeinstall manroot=%buildroot/%{_mandir}
cd src/xditview
%makeinstall DESTDIR=$RPM_BUILD_ROOT

cd ../..
ln -s s.tmac	${RPM_BUILD_ROOT}%{_datadir}/groff/%version/tmac/gs.tmac
ln -s mse.tmac	${RPM_BUILD_ROOT}%{_datadir}/groff/%version/tmac/gmse.tmac
ln -s m.tmac	${RPM_BUILD_ROOT}%{_datadir}/groff/%version/tmac/gm.tmac
ln -s troff	${RPM_BUILD_ROOT}%{_bindir}/gtroff
ln -s tbl	${RPM_BUILD_ROOT}%{_bindir}/gtbl
ln -s pic	${RPM_BUILD_ROOT}%{_bindir}/gpic
ln -s eqn	${RPM_BUILD_ROOT}%{_bindir}/geqn
ln -s neqn	${RPM_BUILD_ROOT}%{_bindir}/gneqn
ln -s refer	${RPM_BUILD_ROOT}%{_bindir}/grefer
ln -s lookbib	${RPM_BUILD_ROOT}%{_bindir}/glookbib
ln -s indxbib	${RPM_BUILD_ROOT}%{_bindir}/gindxbib
ln -s soelim	${RPM_BUILD_ROOT}%{_bindir}/gsoelim
ln -s nroff	${RPM_BUILD_ROOT}%{_bindir}/gnroff

# Build system is compressing man-pages
ln -s eqn.1%{_extension}	${RPM_BUILD_ROOT}%{_mandir}/man1/geqn.1%{_extension}
ln -s indxbib.1%{_extension} ${RPM_BUILD_ROOT}%{_mandir}/man1/gindxbib.1%{_extension}
ln -s lookbib.1%{_extension} ${RPM_BUILD_ROOT}%{_mandir}/man1/glookbib.1%{_extension}
ln -s nroff.1%{_extension} 	${RPM_BUILD_ROOT}%{_mandir}/man1/gnroff.1%{_extension}
ln -s pic.1%{_extension} 	${RPM_BUILD_ROOT}%{_mandir}/man1/gpic.1%{_extension}
ln -s refer.1%{_extension} 	${RPM_BUILD_ROOT}%{_mandir}/man1/grefer.1%{_extension}
ln -s soelim.1%{_extension} ${RPM_BUILD_ROOT}%{_mandir}/man1/gsoelim.1%{_extension}
ln -s tbl.1%{_extension} 	${RPM_BUILD_ROOT}%{_mandir}/man1/gtbl.1%{_extension}
ln -s troff.1%{_extension} 	${RPM_BUILD_ROOT}%{_mandir}/man1/gtroff.1%{_extension}

mkdir -p $RPM_BUILD_ROOT%{_libdir}/rhs/rhs-printfilters
install -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_libdir}/rhs/rhs-printfilters

# call spec-helper before creating the file list
s=/usr/share/spec-helper/spec-helper ; [ -x $s ] && $s

cat <<EOF > groff.list
%{_datadir}/groff/%version/eign
%{_datadir}/groff/%version/font/devX100
%{_datadir}/groff/%version/font/devX100-12
%{_datadir}/groff/%version/font/devX75
%{_datadir}/groff/%version/font/devX75-12
%{_datadir}/groff/%version/font/devdvi
%{_datadir}/groff/%version/font/devhtml
%{_datadir}/groff/%version/font/devlbp
%{_datadir}/groff/%version/font/devlj4
%{_datadir}/groff/%version/font/devps
EOF

cat <<EOF > groff-for-man.list
%{_bindir}/troff
%{_bindir}/nroff
%{_bindir}/tbl
%{_bindir}/gtbl
%{_bindir}/gnroff
%{_bindir}/grotty
%{_bindir}/groff
%{_bindir}/gtroff
%dir %{_datadir}/groff
%dir %{_datadir}/groff/%version/tmac
%dir %{_datadir}/groff/%version/tmac/mdoc
%dir %{_datadir}/groff/%version/font
%{_datadir}/groff/%version/tmac/troffrc
%{_datadir}/groff/%version/tmac/latin1.tmac
%{_datadir}/groff/%version/tmac/tty.tmac
%{_datadir}/groff/%version/tmac/tty-char.tmac
%{_datadir}/groff/%version/tmac/safer.tmac
%{_datadir}/groff/%version/tmac/andoc.tmac
%{_datadir}/groff/%version/tmac/an.tmac
%{_datadir}/groff/%version/tmac/an-old.tmac
%{_datadir}/groff/%version/tmac/doc.tmac
%{_datadir}/groff/%version/tmac/mdoc/doc-common
%{_datadir}/groff/%version/tmac/mdoc/doc-ditroff
%{_datadir}/groff/%version/tmac/mdoc/doc-nroff
%{_datadir}/groff/%version/tmac/mdoc/doc-syms
%{_datadir}/groff//site-tmac/man.local
%{_datadir}/groff//site-tmac/mdoc.local
%{_datadir}/groff/%version/tmac/hyphen.us
%{_datadir}/groff/%version/font/devascii
%{_datadir}/groff/%version/font/devlatin1
%{_datadir}/groff/%version/font/devutf8
EOF

cat <<EOF > groff-perl.list
%{_bindir}/grog
%{_bindir}/mmroff
%{_bindir}/afmtodit
%{_mandir}/man1/afmtodit.1.bz2
%{_mandir}/man1/grog.1.bz2
%{_mandir}/man7/mmroff.7.bz2
EOF

dirs=usr/share/man/*
(cd $RPM_BUILD_ROOT ; find usr/bin usr/share/man usr/share/groff/%version/tmac ! -type d -printf "/%%p\n") >> %{name}.list
(cd $RPM_BUILD_ROOT ; find usr/share/groff/%version/tmac/* -type d -printf "%%%%dir /%%p\n") >> %{name}.list

perl -ni -e 'BEGIN { open F, "%{name}-for-man.list"; $s{$_} = 1 foreach <F>; } print unless $s{$_}' %{name}.list
perl -ni -e 'BEGIN { open F, "%{name}-perl.list"; $s{$_} = 1 foreach <F>; } print unless $s{$_}' %{name}.list

%files -f groff.list
%defattr(-,root,root)
%doc BUG-REPORT COPYING NEWS PROBLEMS README README.A4 TODO VERSION

%files for-man -f groff-for-man.list
%defattr(-,root,root)
%doc COPYING

%files perl -f groff-perl.list
%defattr(-,root,root)
%doc COPYING
%{_libdir}/rhs/*/*

%files gxditview
%defattr(-,root,root)
%doc VERSION COPYING
%{prefix}/X11R6/bin/gxditview
%{prefix}/X11R6/lib/X11/app-defaults/GXditview

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 07 2001 Stefan van der Eijk <stefan@eijk.nu> 1.17.2-3mdk
- BuildRequires: byacc
- Removed redundant BuildRequires.

* Mon Aug 06 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.17.2-2mdk
- add LICENSE in %%docdir

* Wed Jul 18 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.17.2-1mdk
- new release

* Wed Jul  4 2001 Pixel <pixel@mandrakesoft.com> 1.17.1-2mdk
- add an-old.tmac to groff-for-man

* Sat Jun 30 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.17.1-1mdk
- 1.17.1 bumped out into cooker.
- Remove the groff safer patch. Seems to have been incorporated into the
  source already.
- src/preproc/html/pre-html.cc: s/mktemp()/mkstemp()/;
- s/Copyright/License/;

* Tue May 15 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.16.1-10mdk
- change default from -Tascii to -Tlatin1 in /usr/bin/nroff (so man pages
  in non-latin1 can still be displayed on screen as previously)
- add /usr/share/groff/font/devutf8 to groff-for-man (we are going utf-8...)

* Mon May  7 2001 Pixel <pixel@mandrakesoft.com> 1.16.1-9mdk
- add /usr/share/groff/tmac/tmac.latin1 to groff-for-man

* Fri May  4 2001 Pixel <pixel@mandrakesoft.com> 1.16.1-8mdk
- add /usr/bin/nroff and tmac.tty-char to groff-for-man so that man works again

* Tue Dec 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.16.1-7mdk
- Don't build grolbp on alpha.

* Thu Nov 09 2000 David BAUDENS <baudens@mandrakesoft.com> 1.16.1-6mdk
- BuildRequires: XFree86

* Fri Nov 03 2000 Florin Grad <florin@mandrakesoft.com> 1.16.1-5mdk
- recompiled with gcc 2.96

* Wed Sep  6 2000 Pixel <pixel@mandrakesoft.com> 1.16.1-4mdk
- add tman.doc and mdoc to groff-for-man for ssh man page

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 1.16.1-3mdk
- move important stuff for view man pages in groff-for-man

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.16.1-2mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.16.1-1mdk
- 1.16.1.

* Thu Jul 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.16-1mdk
- Remove %{config} for app-default file.
- Merge rh changes.
- Add perl pacakge.
- BM.
- 1.16.

* Sun May 13 2000 David BAUDENS <baudens@mandrakesoft.com> 1.15-4mdk
- Fix build for i486
- Use %%{_tmppath} for BuildRoot

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.15-3mdk
- Fix rpmlint error/warning.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.15-2mdk
- Add debian patch to display kanji.
- Adjust groups.

* Mon Jan  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.15-1mdk
- 1.15.

* Thu Oct 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix building as user.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- fix handling of RPM_OPT_FLAGS

* Tue Feb 16 1999 Cristian Gafton <gafton@redhat.com>
- glibc 2.1 patch for xditview (#992)

* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- fix makefiles to work with bash2

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- use g++ for C++ code

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- manhattan and buildroot

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>
- made xdefaults file a config file

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- split perl components into separate subpackage

* Tue Oct 21 1997 Michael Fulbright <msf@redhat.com>
- updated to 1.11a
- added safe troff-to-ps.fpi

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- removed troff-to-ps.fpi for security reasons.

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc
